package com.zcloud.mapper.datasource.hiddenApi;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：隐患
 * 作者：luoxiaobao
 * 时间：2021-01-04
 * 官网：www.zcloudchina.com
 */
public interface HiddenApiMapper {

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);
	/**删除
	 * @param HIDDEN_ID
	 * @throws Exception
	 */
	int delete(String HIDDEN_ID);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**
	 * 验收隐患
	 * @param pd
	 * @return
	 */
	int confirmHidden(PageData pd);

	/**
	 * 隐患整改
	 */
	int rectify(PageData pd);
	/**验收
	 * @param pd
	 * @throws Exception
	 */
	int check(PageData pd);
	/**
	 * 验收打回
	 * @param hiddenId
	 * @return
	 * @throws Exception
	 */
	int repulseCheck(String hiddenId);

	/**
	 * 记录emis对接完成的隐患数据
	 * @param pd
	 */
	void saveForEmis(PageData pd);

	/**
	 * 对接完成后,删除隐患数据
	 * @param pd
	 */
	void deleteForEmis(PageData pd);
	/**
	 * 确认打回
	 * @param hiddenId
	 * @return
	 * @throws Exception
	 */
	int repulseConfirm(String hiddenId);

	/**
	 * 确认打回
	 * @param hiddenId
	 * @return
	 * @throws Exception
	 */
	int unableRectify(String hiddenId);

	List<PageData> getListdatalistPage(Page page);
	List<PageData> getListAll(PageData pd);
}

